{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    {% if( poEntité.iidActibase is defined) %}
        <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidActibase }}</div>
    {% else %}
        <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;"></div>
    {% endif %}

	<div id="CodeTable" style="display:none;">AB</div>
	<div id="NomEntité" style="display:none;">actiBases</div>
{% endblock %}

{% block formulaire %}
{# LG 20200813 début : pour que lors de l'ajout, PHP puisse savoir qu'il s'agit d'une AB #}
    <input type="hidden" id="inputNomEntité" name="NomEntité" value="actibases">
{# LG 20200813 fin #}
	<br/>
	{% if poForm.lsysteme is defined %}
		<div class="form-group" style="display: none;">
			{{ form_label(poForm.lsysteme, "Système", {'label_attr': {'class': 'col-sm-3 control-label'}}) }}
			<div class="col-sm-9">
				{{ form_widget(poForm.lsysteme, {'attr': {'class': 'form-control'}}) }}
			</div>
		</div>
	{% endif %}

	{% if poForm.isousgroupe is defined %}
		<div class="form-group" style="display: none;">
			{# Génération du label. #}
			{{ form_label(poForm.isousgroupe, "Sous-groupe", {'label_attr': {'class': 'col-sm-2 control-label'}}) }}
			<div class="col-sm-10">
				{{ form_widget(poForm.isousgroupe, {'attr': {'class': 'form-control'}}) }}
			</div>
		</div>
	{% endif %}
	<div class="row flex-wrap justify-content-start" style="margin-top: -30px;margin-left: 15px;">
		<div class="col-sm-auto col-md-6">
			{% if poForm.cnom is defined %}
				<div class="form-group d-flex flex-wrap">
					{# Génération du label. #}
					{{ form_label(poForm.cnom, "Nom", {'label_attr': {'class': 'col-sm-1 m-1 control-label'}}) }}
                                        {{ form_widget(poForm.cnom, {'attr': {'class': 'col-sm-6 form-control'}}) }}
				</div>
			{% endif %}    
		</div>
		<div class="col-sm-auto col-md-6">
			{% if poForm.cnomcourt is defined %}
				<div class="form-group d-flex flex-wrap">
					{{ form_label(poForm.cnomcourt, "Nom court", {'label_attr': {'class': 'col-sm-2 m-1 control-label'}}) }}
					{{ form_widget(poForm.cnomcourt, {'attr': {'class': 'col-sm-6 form-control'}}) }}
				</div>
			{% endif %}
		</div>
	</div>
	<div class="row flex-wrap justify-content-start" style="margin-left: 15px;">
		<div class="col-sm-auto col-md-6">
			{% if poForm.ccode is defined %}
				<div class="form-group d-flex flex-wrap">
					{{ form_label(poForm.ccode, "Code", {'label_attr': {'class': 'col-sm-1 m-1 control-label'}}) }}
						{{ form_widget(poForm.ccode, {'attr': {'class': 'col-sm-4 form-control'}}) }}
				</div>
			{% endif %}
		</div>
		<div class="col-sm-auto col-md-6">
			{% if poForm.icouleur is defined %}
				<div class="form-group d-flex flex-wrap">
					{{ form_label(poForm.icouleur, "Couleur", {'label_attr': {'class': 'col-sm-2 m-1 control-label'}}) }}
						{% if( poForm.vars.value.icouleur is defined) %}
							<input type="Hidden" class="form-control" name="fEntityForm_actibases[icouleur]" id="fEntityForm_actibases_icouleur" value="{{ poForm.vars.value.icouleur }}" data-role="cboCouleur"/>
						{% else %}
							<input type="Hidden" class="form-control" name="fEntityForm_actibases[icouleur]" id="fEntityForm_actibases_icouleur" value="16777215" data-role="cboCouleur"/>
						{% endif %}
						{% do poForm.icouleur.setRendered %}
				</div>
			{% endif %}
		</div>
	</div>

	{% if(poEntité.isousgroupe.iidActisousgroupe is defined) %}            
		{% if poEntité.isousgroupe.iidActisousgroupe == -5 %}
			{# eiActiSsGpePrésence #}
			{% include '@Paa/form/actiBases/actiBases.Présence.html.twig' %}
		{% elseif poEntité.isousgroupe.iidActisousgroupe == -2 %}
			{# eiActiSsGpeAbsenceIntervenant #}
			{% include '@Paa/form/actiBases/actiBases.AbsenceIntervenant.html.twig' %}
		{% elseif poEntité.isousgroupe.iidActisousgroupe == -3 %}
			{# eiActiSsGpeAbsenceSalle #}
			{% include '@Paa/form/actiBases/actiBases.AbsenceAutre.html.twig' %}
		{% elseif poEntité.isousgroupe.iidActisousgroupe == -4 %}
			{# eiActiSsGpeAbsenceEtablissement #}
			{% include '@Paa/form/actiBases/actiBases.AbsenceAutre.html.twig' %}
		{% elseif poEntité.isousgroupe.iidActisousgroupe == -6 %}
			{# eiActiSsGpeAbsenceUsager #}
			{% include '@Paa/form/actiBases/actiBases.AbsenceUsager.html.twig' %}
		{% elseif poEntité.isousgroupe.iidActisousgroupe == -7 %}
			{# eiActiSsGpeAbsenceGroupe #}
			{% include '@Paa/form/actiBases/actiBases.AbsenceAutre.html.twig' %}
		{% elseif poEntité.isousgroupe.iidActisousgroupe == -8 %}
			{# eiActiSsGpeInexistante #}
		{% elseif poEntité.isousgroupe.iidActisousgroupe == -9 %}
			{# eiActiSsGpeMatiere #}
		{% elseif poEntité.isousgroupe.iidActisousgroupe == -11 %}
			{# eiActiSsGpeTournée #}
			{% include '@Paa/form/actiBases/actiBases.Tournée.html.twig' %}
		{% else %}
			{% include '@Paa/form/actiBases/actiBases.NonAbsence.html.twig' %}
		{% endif %}
	{% else %}
		{% include '@Paa/form/actiBases/actiBases.NonAbsence.html.twig' %}
	{% endif %}

	<script>
		$(document).ready(function () {
			// Gestion de la cboCouleurs
			$("[data-role=cboCouleur]").cboCouleur();
		});
	</script>
{% endblock %}
